Bug 1290935 - pinball included non-free content and missing license tag.
pinball included non-free content and missing license tag.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pinball (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 18:56 EST by mejiko
Modified: 2016-11-20 07:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 15:56:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2015-12-11 18:56:56 EST
Hello.

I check pinball source file, I found other licensed content.
But license tag is missing. and found non-free content.


1) 

File List:

"pinball-0.3.2/data/gnu/gnu.png"
"pinball-0.3.2/data/gnu/gnu2b.png"

I check README. There are derived work, and original content is licensed under Free Art License.

README is: "pinball-0.3.2/data/gnu/README"

This license is Fedora acceptable license. 
But Free Art license text file is not found. (E,g license.txt)

Question: Is this is OK ?

License URI: http://artlibre.org/licence/lal/en/

But I check GNU webpage, "GNU" is trademark.
It is non-free (Trademark Problem).

https://www.gnu.org/graphics/agnuhead.en.html
https://tsdr.uspto.gov/#caseNumber=85380218&caseType=SERIAL_NO&searchType=statusSearch


2)

File List:

"pinball-0.3.2/data/hard*/gnu.png"
"pinball-0.3.2/data/hard*/hard.png"

I think that there contents used gnu head and hard logo, there is not GPL.
It is license problem, It is non-free.

GNU Hard: https://www.gnu.org/software/hurd/logo.html
GNU Head: https://www.gnu.org/graphics/heckert_gnu.svg

I check there sites, GNU Hard logo license is GFDL 1.2 or later, and GNU Head logo license is Free Art License.

But GNU is trademark. (See 1) and Hard logo source code license is unclear. (Is this is GFDL compatible ?) 

Source code: https://www.gnu.org/graphics/hurd_mf.html

I suggest that resolve trademark problem, add license tag, and resolve license problem.


Thanks.
Comment 1 mejiko 2015-12-11 18:57:29 EST
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2015-12-14 11:36:10 EST
The GNU head trademark guidelines (on the link you posted), say:

  This image is available for use under either the GFDL 1.3, the Free Art 
  License, or under CC-BY-SA 2.0. 

Thus, the pinball usage is not an issue.

The Hurd table (and its images) are clearly licensed as GPLv2+, see data/hurd/README.txt

I think it is extremely unlikely that the FSF has an issue with the Hurd table (and its art) being under the GPLv2+ license.

To correct the License tag, just amend it to be:

# core license is GPL+
# gnu table licenses are (GFDL or Free Art or CC-BY-SA) and GPLv3 and CC-BY-SA
# hurd table license is GPLv2+
License: GPL+ and (GFDL or Free Art or CC-BY-SA) and GPLv3 and CC-BY-SA and GPLv2+

Lifting FE-Legal, as this is just a license tag correction. Please apply it in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.